cURL
curl --request POST \
--url https://api.pipedream.com/v1/connect/{project_id}/actions/props \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-pd-environment: <x-pd-environment>' \
--data '
{
"id": "<string>",
"external_user_id": "<string>",
"version": "1.0.0",
"blocking": true,
"configured_props": {},
"dynamic_props_id": "<string>"
}
'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.actions.reloadProps({
id: "id",
externalUserId: "external_user_id",
configuredProps: { key: "value" }
});
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.actions.reload_props(
id="id",
external_user_id="external_user_id",
configured_props={ "key": "value" },
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.types.ReloadPropsOpts;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.actions().reloadProps(
ReloadPropsOpts
.builder()
.id("id")
.externalUserId("external_user_id")
.configuredProps(Map.of("key", "value"))
.build()
);
}
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/actions/props"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"external_user_id\": \"<string>\",\n \"version\": \"1.0.0\",\n \"blocking\": true,\n \"configured_props\": {},\n \"dynamic_props_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"observations": [
{
"k": "<string>",
"ts": 123,
"err": {
"name": "<string>",
"message": "<string>",
"stack": "<string>"
},
"msg": "<string>"
}
],
"errors": [
"<string>"
],
"dynamicProps": {
"id": "<string>",
"configurableProps": [
{
"name": "<string>",
"type": "alert",
"content": "<string>",
"label": "<string>",
"description": "<string>",
"optional": true,
"disabled": true,
"readOnly": true,
"hidden": true,
"remoteOptions": true,
"useQuery": true,
"reloadProps": true,
"withLabel": true,
"alertType": "info"
}
]
}
}{
"error": "Throttled"
}Reload action props
Reload the prop definition based on the currently configured props
POST
/
v1
/
connect
/
{project_id}
/
actions
/
props
cURL
curl --request POST \
--url https://api.pipedream.com/v1/connect/{project_id}/actions/props \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-pd-environment: <x-pd-environment>' \
--data '
{
"id": "<string>",
"external_user_id": "<string>",
"version": "1.0.0",
"blocking": true,
"configured_props": {},
"dynamic_props_id": "<string>"
}
'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.actions.reloadProps({
id: "id",
externalUserId: "external_user_id",
configuredProps: { key: "value" }
});
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.actions.reload_props(
id="id",
external_user_id="external_user_id",
configured_props={ "key": "value" },
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.types.ReloadPropsOpts;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.actions().reloadProps(
ReloadPropsOpts
.builder()
.id("id")
.externalUserId("external_user_id")
.configuredProps(Map.of("key", "value"))
.build()
);
}
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/actions/props"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"external_user_id\": \"<string>\",\n \"version\": \"1.0.0\",\n \"blocking\": true,\n \"configured_props\": {},\n \"dynamic_props_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"observations": [
{
"k": "<string>",
"ts": 123,
"err": {
"name": "<string>",
"message": "<string>",
"stack": "<string>"
},
"msg": "<string>"
}
],
"errors": [
"<string>"
],
"dynamicProps": {
"id": "<string>",
"configurableProps": [
{
"name": "<string>",
"type": "alert",
"content": "<string>",
"label": "<string>",
"description": "<string>",
"optional": true,
"disabled": true,
"readOnly": true,
"hidden": true,
"remoteOptions": true,
"useQuery": true,
"reloadProps": true,
"withLabel": true,
"alertType": "info"
}
]
}
}{
"error": "Throttled"
}Authorizations
ConnectTokenOAuth2
A short-lived Connect token for client-side requests on behalf of an end user. Generate one via the Create Connect token endpoint.
Headers
The environment in which the server client is running
Available options:
development, production Path Parameters
The project ID, which starts with proj_.
Pattern:
^proj_[a-zA-Z0-9]+$Body
application/json
Request options for reloading a component's props when dealing with dynamic props
The component ID
The external user ID
Component semantic version
Example:
"1.0.0"
Whether this operation should block until completion
The configured properties of the component
Show child attributes
Show child attributes
The ID for dynamic props
Was this page helpful?